{% extends 'base.html' %}
{% load static %}
{% load bootstrap4 %}
{% load mathfilters %}

{% block title %}История операций{% endblock %}

{% block content %}

<div class="row">
    <div class="col-10">
        {% if data %}
        {% for year, seq in data.items %}
        <div class="row">
            <div class="col text-center p-0 m-0">
                <p class="text-muted p-0 m-0">{{ year }} год:</p>
            </div>
        </div>
        <div class="dropdown-divider"></div>
        <div class="row row-cols-1 row-cols-md-3">
            {% for value in seq %}
            <div class="col mb-4">
                <div class="card border-dark mb-3 mr-2" style="max-width: 17rem;">
                    <div class="card-header px-4 py-2">
                        <div class="row">
                            <div class="col text-left">
                                <p class="text-monospace m-0 p-0">{{ value.month }}</p>
                            </div>
                            <div class="col text-right p-0">
                                <a href="{{ value.get_absolute_url }}" class="btn btn-sm btn-outline-success" title="Смотреть детали">
                                    <svg width="1em" height="1em" viewBox="0 0 16 16" class="bi bi-card-list"
                                         fill="currentColor" xmlns="http://www.w3.org/2000/svg">
                                        <path fill-rule="evenodd"
                                              d="M14.5 3h-13a.5.5 0 0 0-.5.5v9a.5.5 0 0 0 .5.5h13a.5.5 0 0 0 .5-.5v-9a.5.5 0 0 0-.5-.5zm-13-1A1.5 1.5 0 0 0 0 3.5v9A1.5 1.5 0 0 0 1.5 14h13a1.5 1.5 0 0 0 1.5-1.5v-9A1.5 1.5 0 0 0 14.5 2h-13z"/>
                                        <path fill-rule="evenodd"
                                              d="M5 8a.5.5 0 0 1 .5-.5h7a.5.5 0 0 1 0 1h-7A.5.5 0 0 1 5 8zm0-2.5a.5.5 0 0 1 .5-.5h7a.5.5 0 0 1 0 1h-7a.5.5 0 0 1-.5-.5zm0 5a.5.5 0 0 1 .5-.5h7a.5.5 0 0 1 0 1h-7a.5.5 0 0 1-.5-.5z"/>
                                        <circle cx="3.5" cy="5.5" r=".5"/>
                                        <circle cx="3.5" cy="8" r=".5"/>
                                        <circle cx="3.5" cy="10.5" r=".5"/>
                                    </svg>
                                </a>
                                <a href="{% url 'purse:download' value.id %}" class="btn btn-sm btn-outline-info" title="Экспорт в Excel">
                                    <svg width="1em" height="1em" viewBox="0 0 16 16"
                                         class="bi bi-cloud-arrow-down-fill"
                                         fill="currentColor" xmlns="http://www.w3.org/2000/svg">
                                        <path fill-rule="evenodd"
                                              d="M8 2a5.53 5.53 0 0 0-3.594 1.342c-.766.66-1.321 1.52-1.464 2.383C1.266 6.095 0 7.555 0 9.318 0 11.366 1.708 13 3.781 13h8.906C14.502 13 16 11.57 16 9.773c0-1.636-1.242-2.969-2.834-3.194C12.923 3.999 10.69 2 8 2zm2.354 6.854l-2 2a.5.5 0 0 1-.708 0l-2-2a.5.5 0 1 1 .708-.708L7.5 9.293V5.5a.5.5 0 0 1 1 0v3.793l1.146-1.147a.5.5 0 0 1 .708.708z"/>
                                    </svg>
                                </a>
                                <a class="btn btn-sm btn-outline-danger" href="#" title="Удалить" data-toggle="modal" data-target="#{{ value.month }}{{ value.id }}">
                                    <svg width="1em" height="1em" viewBox="0 0 16 16" class="bi bi-trash-fill"
                                         fill="currentColor" xmlns="http://www.w3.org/2000/svg">
                                        <path fill-rule="evenodd"
                                              d="M2.5 1a1 1 0 0 0-1 1v1a1 1 0 0 0 1 1H3v9a2 2 0 0 0 2 2h6a2 2 0 0 0 2-2V4h.5a1 1 0 0 0 1-1V2a1 1 0 0 0-1-1H10a1 1 0 0 0-1-1H7a1 1 0 0 0-1 1H2.5zm3 4a.5.5 0 0 1 .5.5v7a.5.5 0 0 1-1 0v-7a.5.5 0 0 1 .5-.5zM8 5a.5.5 0 0 1 .5.5v7a.5.5 0 0 1-1 0v-7A.5.5 0 0 1 8 5zm3 .5a.5.5 0 0 0-1 0v7a.5.5 0 0 0 1 0v-7z"/>
                                    </svg>
                                </a>
                                <!-- Modal -->
                                <div class="modal fade" id="{{ value.month }}{{ value.id }}" data-backdrop="static" data-keyboard="false"
                                     tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
                                    <div class="modal-dialog modal-sm">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title" id="staticBackdropLabel">Удаление записи</h5>
                                                <button type="button" class="close" data-dismiss="modal"
                                                        aria-label="Close">
                                                    <span aria-hidden="true">&times;</span>
                                                </button>
                                            </div>
                                            <div class="modal-body text-center">
                                                <p>Удалить?</p>
                                            </div>
                                            <div class="modal-footer">
                                                <button type="button" class="btn btn-outline-secondary btn-sm" data-dismiss="modal">
                                                    Отмена
                                                </button>
                                                <a href="{% url 'purse:delete_aggr_budget' value.id %}" class="btn btn-outline-danger btn-sm">Удалить</a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <!-- End Modal -->
                            </div>
                        </div>
                    </div>
                    <div class="card-body text-secondary">
                        <h6 class="card-title text-monospace">Баланс:
                            <div class="badge badge-{% if value.balance > 0 %}success{% elif balance < 0 %}danger{% else %}secondary{% endif %} text-wrap">
                                {{ value.balance }}
                            </div>
                            ₽
                        </h6>
                        <div class="row">
                            <div class="col-9">
                                <p class="card-text">
                                    <svg width="1em" height="1em" viewBox="0 0 16 16" class="bi bi-plus-square-fill"
                                         fill="currentColor"
                                         xmlns="http://www.w3.org/2000/svg">
                                        <path fill-rule="evenodd"
                                              d="M2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2zm6.5 4.5a.5.5 0 0 0-1 0v3h-3a.5.5 0 0 0 0 1h3v3a.5.5 0 0 0 1 0v-3h3a.5.5 0 0 0 0-1h-3v-3z"/>
                                    </svg>
                                    Доходы: {{ value.income_amount }} ₽
                                </p>
                                <p class="card-text">
                                    <svg width="1em" height="1em" viewBox="0 0 16 16" class="bi bi-dash-square-fill"
                                         fill="currentColor"
                                         xmlns="http://www.w3.org/2000/svg">
                                        <path fill-rule="evenodd"
                                              d="M2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2zm2.5 7.5a.5.5 0 0 0 0 1h7a.5.5 0 0 0 0-1h-7z"/>
                                    </svg>
                                    Расходы: {{ value.expenses_amount }} ₽
                                </p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            {% endfor %}
        </div>
        {% endfor %}
        {% else %}
        <p>Данных нет</p>
        {% endif %}
    </div>
</div>

{% endblock %}
